#include <iostream>

using namespace std;

int main()
{
    int n, k, i, j, x=1, m;
    cin>>n>>k;
    int a[n];
    for(i=1; i<=n; i++){
        cin>>a[i];
    }
    for(j=1; j<=n+1; j++){
        if(a[j]==k){
            if(a[j]==a[n]){
                m=a[x];
                cout<<a[m];
            }
            else{
                m=a[j+1];
                cout<<a[m];
            }
        }
    }
}